Installing compat-libstdc++-33 on RHEL 7

Mark Williams asked:

As part of an Oracle install I need to install the compat-libstdc++-33-3.2.3 (x86_64) package. However no matter what variant of the package I try to install with yum, it can’t be found

[root@ip-xxx-xx-x-xxx ~]# yum install compat-libstdc++-33
Loaded plugins: amazon-id, langpacks, rhui-lb
No package compat-libstdc++-33 available.
Error: Nothing to do
[root@ip-xxx-xx-x-xxx ~]#

Am I missing a repo or something more obvious?

My answer:


You need to enable the RHEL optional and/or extras channels.

yum-config-manager --enable rhui-REGION-rhel-server-extras rhui-REGION-rhel-server-optional

View the full question and answer on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.